Bug 108144 - Make bind a PIE
Make bind a PIE
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-27 18:34 EST by Ulrich Drepper
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-13 15:41:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to enable building as PIE (785 bytes, patch)
2003-10-27 18:35 EST, Ulrich Drepper
no flags Details | Diff

  None (edit)
Description Ulrich Drepper 2003-10-27 18:34:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6a) Gecko/20031021
Firebird/0.7+

Description of problem:
Security problems are not unheard of in bind, it can be accessed from the
network, and is a long-running daemon.  A perfect example for a process which
should be a PIE.  I'll attach a patch  which applied on top of the 9.2.2.P3-9
sources.

Version-Release number of selected component (if applicable):
bind-9.2.2.P3-9

How reproducible:
Always

Steps to Reproduce:
1.readelf -h /usr/sbin/named|grep Type:
2.
3.
    

Actual Results:    Type:                              EXEC (Executable file)


Expected Results:    Type:                              DYN (Shared object file)


Additional info:
Comment 1 Ulrich Drepper 2003-10-27 18:35:30 EST
Created attachment 95535 [details]
Patch to enable building as PIE

Applied on top (i.e., after all other patches).
Comment 2 Daniel Walsh 2003-11-13 15:41:20 EST
Available in Rawhide.

bind-9.2.3-2

Note You need to log in before you can comment on or make changes to this bug.